# $Revision: 1.5 $, $Date: 2012/03/26 19:47:30 $
%define		status		stable
%define		pearname	Horde_Routes
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Routes URL mapping system
Name:		php-horde-Horde_Routes
Version:	1.1.2
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	add87162a943ac4b1346cfbfce2fc381
URL:		https://github.com/horde/horde/tree/master/framework/Routes/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides classes for mapping URLs into the controllers
and actions of an MVC system. It is a port of a Python library,
Routes, by Ben Bangert <http://routes.groovie.org>.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/Horde_Routes/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Routes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_Routes.spec,v $
Revision 1.5  2012/03/26 19:47:30  glen
- updated to: 1.1.2

Revision 1.4  2011/09/15 19:58:32  glen
- updated to: 1.1.0

Revision 1.3  2011/05/03 05:26:48  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:34  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:09  glen
- horde h4 pear packages
